%global momorel 2

Summary: A PPP over Ethernet client (for xDSL support)
Name: rp-pppoe
Version: 3.10
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Daemons
URL: http://www.roaringpenguin.com/pppoe/
Source0: http://www.roaringpenguin.com/files/download/rp-pppoe-%{version}.tar.gz
NoSource: 0
Source1: pppoe-connect
Source2: pppoe-setup
Source3: pppoe-start
Source4: pppoe-status
Source5: pppoe-stop
Source6: pppoe-server.init

Patch0: rp-pppoe-3.8-redhat.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): chkconfig initscripts fileutils
Requires(postun): chkconfig initscripts fileutils
Requires: ppp >= 2.4.2
Requires: initscripts >= 5.92
Requires: iproute >= 2.6
Requires: mktemp

BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: coreutils
BuildRequires: ppp

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. This package contains the
Roaring Penguin PPPoE client, a user-mode program that does not
require any kernel modifications. It is fully compliant with RFC 2516,
the official PPPoE specification.

%prep
%setup -q
%patch0 -p1 -b .config

%build
cd src
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" %configure
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_initscriptdir}

make -C src install DESTDIR=%{buildroot}

mv %{buildroot}%{_sbindir}/* %{buildroot}/sbin

install -m 0755 %{SOURCE1} %{buildroot}/sbin
install -m 0755 %{SOURCE2} %{buildroot}/sbin
install -m 0755 %{SOURCE3} %{buildroot}/sbin
install -m 0755 %{SOURCE4} %{buildroot}/sbin
install -m 0755 %{SOURCE5} %{buildroot}/sbin
install -m 0755 %{SOURCE6} %{buildroot}%{_initscriptdir}/pppoe-server

pushd %{buildroot}%{_sbindir}
ln -s ../../sbin/* .
ln -s ../../sbin/pppoe-stop adsl-stop
ln -s ../../sbin/pppoe-start adsl-start
popd

rm -rf %{buildroot}/etc/ppp/pppoe.conf \
       %{buildroot}/etc/rc.d/init.d/pppoe \
       %{buildroot}/usr/doc \
       %{buildroot}%{_sysconfdir}/ppp/plugins

%clean
rm -rf %{buildroot}

%preun
if [ "$1" = "0" ]; then
   /sbin/service pppoe-server stop > /dev/null 2>&1
   /sbin/chkconfig --del pppoe-server
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
   /sbin/service pppoe-server condrestart > /dev/null 2>&1
fi
exit 0

%triggerpostun -- rp-pppoe < 3.5-5m
if [ -f /etc/init.d/adsl ]; then
   rm -f /etc/init.d/adsl
fi
exit 0
   
%triggerin -- rp-pppoe < 3.5-5m
/sbin/service adsl stop >/dev/null 2>&1 || true
/sbin/chkconfig --del adsl >/dev/null 2>&1 || true

BOOT=""
DEVPATH=/etc/sysconfig/networking/devices
NETDEV=ifcfg-xDSL

[ -f /etc/ppp/pppoe.conf ] && CONFIG=/etc/ppp/pppoe.conf . /etc/ppp/pppoe.conf >/dev/null 2>&1
[ -n "$BOOT" ] || exit 0
[ -n "$DEVICE" ] || exit 0
[ -d $DEVPATH ] || mkdir -p $DEVPATH

touch $DEVPATH/$NETDEV && chmod 700 $DEVPATH/$NETDEV
echo "DEVICE=$DEVICE" >$DEVPATH/$NETDEV

[ -n "$BOOT" ] || BOOT=no
echo "ONBOOT=$BOOT" >>$DEVPATH/$NETDEV 

if [ "$USEPEERDNS" = "yes" ]; then
	echo "PEERDNS=yes" >>$DEVPATH/$NETDEV 
else
	echo "PEERDNS=no" >>$DEVPATH/$NETDEV 
fi

echo "DEFROUTE=yes" >>$DEVPATH/$NETDEV 
echo "TYPE=xDSL" >>$DEVPATH/$NETDEV 
echo "ETH=$ETH" >>$DEVPATH/$NETDEV 
echo "USER=$USER" >>$DEVPATH/$NETDEV 
echo "PASS=$PASS" >>$DEVPATH/$NETDEV 
echo "DEMAND=$DEMAND" >>$DEVPATH/$NETDEV 
echo "CONNECT_TIMEOUT=$CONNECT_TIMEOUT" >>$DEVPATH/$NETDEV 
echo "CONNECT_POLL=$CONNECT_POLL" >>$DEVPATH/$NETDEV 
echo "PING=\".\"" >>$DEVPATH/$NETDEV 
echo "SYNCHRONOUS=$SYNCHRONOUS" >>$DEVPATH/$NETDEV
echo "CLAMPMSS=$CLAMPMSS" >>$DEVPATH/$NETDEV
echo "LCP_INTERVAL=$LCP_INTERVAL" >>$DEVPATH/$NETDEV
echo "LCP_FAILURE=$LCP_FAILURE" >>$DEVPATH/$NETDEV
echo "PPPOE_TIMEOUT=$PPPOE_TIMEOUT" >>$DEVPATH/$NETDEV
echo "FIREWALL=$FIREWALL" >>$DEVPATH/$NETDEV
echo "PPPOE_EXTRA=$PPPOE_EXTRA" >>$DEVPATH/$NETDEV
echo "PIDFILE=/var/run/pppoe-adsl.pid" >>$DEVPATH/$NETDEV
echo "SERVICENAME=$SERVICENAME" >>$DEVPATH/$NETDEV
echo "ACNAME=$ACNAME" >>$DEVPATH/$NETDEV

pushd /etc/sysconfig/network-scripts
ln -f ../networking/devices/$NETDEV ifcfg-$DEVICE
popd

exit 0

%files
%defattr(-,root,root)
%doc doc/LICENSE scripts/pppoe-connect scripts/pppoe-setup scripts/pppoe-init
%doc scripts/pppoe-start scripts/pppoe-status scripts/pppoe-stop
%doc configs
%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
%config(noreplace) %{_sysconfdir}/ppp/firewall*
%config(noreplace) %{_initscriptdir}/*
/sbin/*
%{_sbindir}/*
%{_mandir}/man?/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.10-2m)
- full rebuild for mo7 release

* Sat Aug  7 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.10-1m)
- sync with Rawhide (3.10-7)

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.8-6m)
- use BuildRequires and Requires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.8-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.8-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.8-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.8-2m)
- %%NoSource -> NoSource

* Sat Apr 14 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.8-1m)
- up to 3.8
- sync to Fedora devel

* Fri Jun  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5-5m)
- import patch from FC2
- obsolete rp-pppoe-gui

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (3.5-4m)
- revised spec for rpm 4.2.

* Mon Sep 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.5-3m)
- rebuild against ppp-2.4.2

* Fri Feb 21 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.5-2m)
  fix build error

* Wed Oct 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.5-1m)
- build against ppp-2.4.1-17m

* Sun Apr 14 2002 Masahiro Takahata <takahata@kondara.org>
- (3.3-10k)
- modified adsl-setup script ('s/hoge/fuga/' -> 's|hoge|fuga|')

* Fri Apr 12 2002 Shingo Akagaki <dora@kondara.org>
- (3.3-8k)
- kernel-mode support in adsl-setup command

* Thu Apr 11 2002 Shingo Akagaki <dora@kondara.org>
- (3.3-6k)
- add kernel-mode plugin

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (3.3-4k)
- nigittenu

* Fri Jun  8 2001 Shingo Akagaki <dora@kondara.org>
- (3.0-6k)
- add BuildPrereq: ppp tag

* Wed May  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0-4k)
- errased PreReq: libtool tag

* Thu Apr 26 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0-2k)
- update to 3.0

* Sat Feb 10 2001 Shinya Tomobe <betiz@bigfoot.com>
- update to 2.8 .

* Sat Feb 05 2001 Shinya Tomobe <betiz@bigfoot.com>
- changed spec file for kondara.

